GDB (xrefs)

Public Attributes | List of all members
explicit_completion_info Struct Reference

`#include "location.h"`

## Public Attributes
const char * | last_option = NULL
const char * | quoted_arg_start = NULL
const char * | quoted_arg_end = NULL
bool | saw_explicit_location_option = false

## Detailed Description

Definition at line 243 of file location.h.

## Member Data Documentation

## ◆ last_option

const char* explicit_completion_info::last_option = NULL

Definition at line 247 of file location.h.

Referenced by location_completer(), and string_to_explicit_location().

## ◆ quoted_arg_end

const char* explicit_completion_info::quoted_arg_end = NULL

Definition at line 255 of file location.h.

Referenced by explicit_location_lex_one(), explicit_location_lex_one_function(), location_completer(), and string_to_explicit_location().

## ◆ quoted_arg_start

const char* explicit_completion_info::quoted_arg_start = NULL

Definition at line 254 of file location.h.

Referenced by explicit_location_lex_one(), explicit_location_lex_one_function(), location_completer(), and string_to_explicit_location().

## ◆ saw_explicit_location_option

bool explicit_completion_info::saw_explicit_location_option = false

Definition at line 260 of file location.h.

Referenced by location_completer(), and string_to_explicit_location().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/location.h